/***************************************************************************
 *   Copyright (C) 2005 by Yuri Vatis   																								*
 *   vatis@tnt.uni-hannover.de																														*
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GLOBAL_H
#define GLOBAL_H

#define QCIF_X  176
#define QCIF_Y  144
#define  CIF_X  352
#define  CIF_Y  288
#define   VGA_X 640
#define   VGA_Y  480
#define SDTV_X  720
#define SDTV_Y  576
#define HDTV_X 1280
#define HDTV_Y  720
#define SHDTV_X 1920
#define SHDTV_Y 1080

#define _400 0
#define _420 1
#define _422 2
#define _444 3

#define YUV2RGB \
    R = (int)(Y             + 1.40200*V); \
    G = (int)(Y - 0.34414*U - 0.71414*V); \
    B = (int)(Y + 1.77200*U            ); \
  	if (R <   0) R =   0; if (G <   0) G =   0; if (B <   0) B =   0;\
  	if (R > 255) R = 255; if (G > 255) G = 255; if (B > 255) B = 255;

#endif
